# Interface methods for submodule: WatershedImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: WatershedImageFilter
class WatershedImageFilterProxy(_ImageToImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GenerateData(self) -> None:
		""""""
		...

	@overload
	def SetInput(self, input) -> None:
		""""""
		...

	@overload
	def SetInput(self, i: int, image) -> None:
		""""""
		...

	def SetThreshold(self, arg0: float) -> None:
		""""""
		...

	def GetThreshold(self) -> float:
		""""""
		...

	def SetLevel(self, arg0: float) -> None:
		""""""
		...

	def GetLevel(self) -> float:
		""""""
		...

	def GetBasicSegmentation(self):
		""""""
		...

	def GetSegmentTree(self):
		""""""
		...

	def EnlargeOutputRequestedRegion(self, data) -> None:
		""""""
		...

